<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.tableData.mapper.AnBaseinfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.tableData.domain.AnBaseinfo">
            <id property="ancheid" column="ANCHEID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="anchedate" column="ANCHEDATE" jdbcType="TIMESTAMP"/>
            <result property="ancheyear" column="ANCHEYEAR" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="enttype" column="ENTTYPE" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="addr" column="ADDR" jdbcType="VARCHAR"/>
            <result property="postalcode" column="POSTALCODE" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="busst" column="BUSST" jdbcType="VARCHAR"/>
            <result property="busstCn" column="BUSST_CN" jdbcType="VARCHAR"/>
            <result property="empnum" column="EMPNUM" jdbcType="BIGINT"/>
            <result property="empnumdis" column="EMPNUMDIS" jdbcType="VARCHAR"/>
            <result property="antype" column="ANTYPE" jdbcType="VARCHAR"/>
            <result property="colgranum" column="COLGRANUM" jdbcType="BIGINT"/>
            <result property="colemplnum" column="COLEMPLNUM" jdbcType="BIGINT"/>
            <result property="retsolnum" column="RETSOLNUM" jdbcType="BIGINT"/>
            <result property="retemplnum" column="RETEMPLNUM" jdbcType="BIGINT"/>
            <result property="dispernum" column="DISPERNUM" jdbcType="BIGINT"/>
            <result property="disemplnum" column="DISEMPLNUM" jdbcType="BIGINT"/>
            <result property="unenum" column="UNENUM" jdbcType="BIGINT"/>
            <result property="uneemplnum" column="UNEEMPLNUM" jdbcType="BIGINT"/>
            <result property="dependententname" column="DEPENDENTENTNAME" jdbcType="VARCHAR"/>
            <result property="assgro" column="ASSGRO" jdbcType="DECIMAL"/>
            <result property="assgrodis" column="ASSGRODIS" jdbcType="VARCHAR"/>
            <result property="liagro" column="LIAGRO" jdbcType="DECIMAL"/>
            <result property="liagrodis" column="LIAGRODIS" jdbcType="VARCHAR"/>
            <result property="vendinc" column="VENDINC" jdbcType="DECIMAL"/>
            <result property="vendincdis" column="VENDINCDIS" jdbcType="VARCHAR"/>
            <result property="maibusinc" column="MAIBUSINC" jdbcType="DECIMAL"/>
            <result property="maibusincdis" column="MAIBUSINCDIS" jdbcType="VARCHAR"/>
            <result property="progro" column="PROGRO" jdbcType="DECIMAL"/>
            <result property="progrodis" column="PROGRODIS" jdbcType="VARCHAR"/>
            <result property="netinc" column="NETINC" jdbcType="DECIMAL"/>
            <result property="netincdis" column="NETINCDIS" jdbcType="VARCHAR"/>
            <result property="ratgro" column="RATGRO" jdbcType="DECIMAL"/>
            <result property="ratgrodis" column="RATGRODIS" jdbcType="VARCHAR"/>
            <result property="totequ" column="TOTEQU" jdbcType="DECIMAL"/>
            <result property="totequdis" column="TOTEQUDIS" jdbcType="VARCHAR"/>
            <result property="numparm" column="NUMPARM" jdbcType="INTEGER"/>
            <result property="parins" column="PARINS" jdbcType="VARCHAR"/>
            <result property="parinsCn" column="PARINS_CN" jdbcType="VARCHAR"/>
            <result property="resparmsign" column="RESPARMSIGN" jdbcType="VARCHAR"/>
            <result property="resparsecsign" column="RESPARSECSIGN" jdbcType="VARCHAR"/>
            <result property="lastupdatetime" column="LASTUPDATETIME" jdbcType="TIMESTAMP"/>
            <result property="entcheyear" column="ENTCHEYEAR" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="sExtTimestamp" column="S_EXT_TIMESTAMP" jdbcType="TIMESTAMP"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="sExtFromnode" column="S_EXT_FROMNODE" jdbcType="VARCHAR"/>
            <result property="modFlag" column="MOD_FLAG" jdbcType="VARCHAR"/>
            <result property="upTime" column="UP_TIME" jdbcType="TIMESTAMP"/>
            <result property="id" column="ID" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        ANCHEID,PRIPID,ANCHEDATE,
        ANCHEYEAR,REGNO,UNISCID,
        ENTNAME,ENTTYPE,TEL,
        ADDR,POSTALCODE,EMAIL,
        BUSST,BUSST_CN,EMPNUM,
        EMPNUMDIS,ANTYPE,COLGRANUM,
        COLEMPLNUM,RETSOLNUM,RETEMPLNUM,
        DISPERNUM,DISEMPLNUM,UNENUM,
        UNEEMPLNUM,DEPENDENTENTNAME,ASSGRO,
        ASSGRODIS,LIAGRO,LIAGRODIS,
        VENDINC,VENDINCDIS,MAIBUSINC,
        MAIBUSINCDIS,PROGRO,PROGRODIS,
        NETINC,NETINCDIS,RATGRO,
        RATGRODIS,TOTEQU,TOTEQUDIS,
        NUMPARM,PARINS,PARINS_CN,
        RESPARMSIGN,RESPARSECSIGN,LASTUPDATETIME,
        ENTCHEYEAR,S_EXT_DATATIME,S_EXT_TIMESTAMP,
        I_TIME,S_EXT_FROMNODE,MOD_FLAG,
        UP_TIME,ID
    </sql>
</mapper>
